version: '3.8'
services:

  workflow:
    image: marconi.aoc.nrao.edu/workspaces/workflow:${CI_COMMIT_SHORT_SHA}
    expose:
      - "3456"
    environment:
      CAPO_PATH: /home/casa/capo
      CAPO_PROFILE: dsoc-ci
    volumes: 
      - /home/casa/capo/dsoc-ci.properties:/home/casa/capo/dsoc-ci.properties

  capability:
    image: marconi.aoc.nrao.edu/workspaces/capability:${CI_COMMIT_SHORT_SHA}
    expose:
      - "3457"
    environment:
      CAPO_PATH: /home/casa/capo
      CAPO_PROFILE: dsoc-ci
    volumes: 
      - /home/casa/capo/dsoc-ci.properties:/home/casa/capo/dsoc-ci.properties

  notification:
    image: marconi.aoc.nrao.edu/workspaces/notification:${CI_COMMIT_SHORT_SHA}
    expose:
      - "3458"
    environment:
      CAPO_PATH: /home/casa/capo
      CAPO_PROFILE: dsoc-ci
    volumes: 
      - /home/casa/capo/dsoc-ci.properties:/home/casa/capo/dsoc-ci.properties

  web:
    image: marconi.aoc.nrao.edu/workspaces/web:${CI_COMMIT_SHORT_SHA}
    expose:
      - "80"
    environment:
      DL_HOST: ${DL_HOST}

  e2e:
    image: e2e:${CI_COMMIT_SHORT_SHA}
